# $Revision: 1.24 $, $Date: 2003/02/07 07:15:04 $
Summary:	LWP thread library
Summary(pl):	Biblioteka wtkw LWP
Summary(pt_BR):	Biblioteca LWP thread
Name:		lwp
Version:	1.10
Release:	1
License:	GPL (?LGPL)
Group:		Libraries
Source0:	ftp://ftp.coda.cs.cmu.edu/pub/lwp/src/%{name}-%{version}.tar.gz
Patch0:		%{name}-configure.patch
URL:		http://www.coda.cs.cmu.edu/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	liblwp2

%description
The LWP userspace threads library. The LWP threads library is used by
the Coda distributed filesystem, RVM (a persistent VM library), and
RPC2/SFTP (remote procedure call library).

%description -l pl
Biblioteka wtkw w przestrzeni uytkownika LWP. Biblioteka ta jest
uywana przez rozproszony system plikw Coda, RVM (biblioteka VM),
RPC2/SFTP (biblioteka zdalnych wywoa procedur).

%description -l pt_BR
Biblioteca LWP para threads em userspace. Esta biblioteca  utilizada
pelo Coda (um sistema de arquivos distribudo) e pelas bibliotecas RVM
e RPC2/SFTP.

%package devel
Summary:	LWP thread library development files
Summary(pl):	Pliki dla programistw uywajcych LWP
Summary(pt_BR):	Arquivos para desenvolvimento com a biblioteca LWP thread
Group:		Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	liblwp2-devel

%description devel
Headers and libraries for developing programs using the LWP userspace
threads library. The LWP threads library is used by the Coda
distributed filesystem, RVM (a persistent VM library), and RPC2/SFTP
(a remote procedure call library).

%description devel -l pl
Pliki nagwkowe do tworzenia programw uywajcych biblioteki wtkw
w przestrzeni uytkownika LWP. Biblioteka ta jest uywana przez rozproszony 
system plikw Coda, RVM (biblioteka VM), RPC2/SFTP (biblioteka zdalnych 
wywoa procedur).

%description devel -l pt_BR
Biblioteca LWP para threads em userspace. Esta biblioteca  utilizada
pelo Coda (um sistema de arquivos distribudo) e pelas bibliotecas RVM
e RPC2/SFTP.

%package static
Summary:	LWP thread library static libraries
Summary(pl):	Statyczne biblioteki LWP
Summary(pt_BR):	Bibliteca esttica LWP thread
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libraries for developing programs using the LWP userspace
threads library. The LWP threads library is used by the Coda
distributed filesystem, RVM (a persistent VM library), and RPC2/SFTP
(a remote procedure call library).

%description static -l pl
Statyczna wersja biblioteki wtkw w przestrzeni uytkownika LWP.
Biblioteka ta jest uywana przez rozproszony system plikw Coda, RVM 
(biblioteka VM), RPC2/SFTP (biblioteka zdalnych wywoa procedur).

%description static -l pt_BR
Biblioteca LWP para threads em userspace. Esta biblioteca  utilizada
pelo Coda (um sistema de arquivos distribudo) e pelas bibliotecas RVM
e RPC2/SFTP.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing configure.ac
%{__libtoolize}
%{__autoheader}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblwp.so.*.*

%files devel
%defattr(644,root,root,755)
%doc PORTING README NEWS ChangeLog AUTHORS
%attr(755,root,root) %{_libdir}/liblwp.so
%{_libdir}/liblwp.la
%{_includedir}/lwp

%files static
%defattr(644,root,root,755)
%{_libdir}/liblwp.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: lwp.spec,v $
Revision 1.24  2003/02/07 07:15:04  trojan
- updated to 1.10

Revision 1.23  2002/11/25 14:17:19  ankry
- massive attack: no need for 755 for *.la

Revision 1.22  2002/10/09 13:14:39  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.21  2002/08/11 16:02:53  marcus
- fixed configure.in
- -rel.4.

Revision 1.20  2002/06/30 18:30:14  kloczek
- release 3.

Revision 1.19  2002/06/28 19:15:42  blues
- new doc, fixes in pl-descriptions

Revision 1.18  2002/06/23 20:32:32  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.17  2002/05/21 23:14:06  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.16  2002/05/08 17:10:56  kloczek
- liblwp2{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.15  2002/05/08 16:57:16  kloczek
- merge translations from Conectiva.

Revision 1.14  2002/02/22 23:29:14  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:13:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/12/06 08:42:59  qboosh
- pl descriptions, changed base pkg group to Libraries; release 2

Revision 1.11  2001/10/21 13:15:14  kloczek
- updated to 1.9.

Revision 1.10  2001/10/01 18:25:57  blues
- release 2
- am1.5 ready

Revision 1.9  2001/08/06 11:18:02  kloczek
- added automake, autoconf and libtool to BuildRequires,
- added --copy --force to libtoolize paramaetrs.

Revision 1.8  2001/08/06 09:48:10  waszi
- updated to 1.8

Revision 1.7  2000/11/16 05:38:25  kloczek
- fixed Source url.

Revision 1.6  2000/11/15 23:41:02  kloczek
- version 1.6, release 0.cvs20001115.1,
- added gzipping %doc and move %doc to devel,
- added URL to main coda home page,
- added Source url.

Revision 1.5  2000/11/15 21:06:14  agaran
extension of source .tar.gz->.tgz

Revision 1.4  2000/11/15 20:55:54  agaran
Its for use with cvs version of lwp..not checked yet..but build properly
at least once..here

Revision 1.3  2000/11/10 20:46:25  kloczek
- updated to 1.5.

Revision 1.2  2000/10/05 12:01:47  kloczek
- spec adapterized,
- fixed %post and added %postun,
- fixes in %files lists.

Revision 1.1  2000/10/05 08:32:25  pascalek
- initial revision
